/**
 * ./src/commands/syncfrom.ts
 * penguins-eggs v.10.0.0 / ecmascript 2020
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
import { Command } from '@oclif/core';
import Distro from '../classes/distro.js';
/**
 *
 */
export default class Update extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/core/interfaces").BooleanFlag<void>;
        verbose: import("@oclif/core/interfaces").BooleanFlag<boolean>;
    };
    distro: Distro;
    /**
     * run
     */
    run(): Promise<void>;
    chooseUpdate(): Promise<void>;
    /**
     *
     */
    choosePkg(): Promise<string>;
    /**
     *
     */
    getPkgFromRepo(): Promise<void>;
    /**
     * download da LAN
     */
    getPkgFromLan(): Promise<void>;
    /**
     *
     */
    getPkgFromSourceforge(): Promise<void>;
    /**
   *
   * @param aptVersion
   */
    getFromSources(): void;
    /**
     * show
     */
    show(url: string): Promise<void>;
}
